Bug 61298 - glibc-2.2.5: jdk 1.3.1 from SUN - undefined symbols
glibc-2.2.5: jdk 1.3.1 from SUN - undefined symbols
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-16 12:10 EST by Basil A. Evseenko
Modified: 2016-11-24 09:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-16 12:10:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Basil A. Evseenko 2002-03-16 12:10:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020311

Description of problem:
When i try to run java from jdk 1.3.1 or 1.4.0:

Error occurred during initialization of VM
Unable to load native library: /usr/java/jre1.3.1_02/lib/i386/libjava.so: symbol
__libc_wait, version GLIBC_2.0 not defined in file libc.so.6 with link time
reference

With glibc-2.2.4 all works fine

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download jdk from www.sun.com/java
2. run it
	

Actual Results:  Error occurred during initialization of VM
Unable to load native library: /usr/java/jre1.3.1_02/lib/i386/libjava.so: symbol
__libc_wait, version GLIBC_2.0 not defined in file libc.so.6 with link time
reference

Expected Results:  Normal work

Additional info:

OS: Linux RedHat-7.2
glibc-2.2.5-26 from RawHide
Comment 1 Jakub Jelinek 2002-03-17 14:15:05 EST
Sun has no business using glibc private symbols (especially when they are so
promoting ABIcheck).
In glibc-2.2.5-27 I've temporarily exported it again, but in 2.3 it will be
gone for good.

Note You need to log in before you can comment on or make changes to this bug.